BSL430.NET 1.2.1

Public Member Functions | List of all members
RJCP.IO.Ports.InternalApplicationException Class Reference

Indicates an unexpected internal error occurred in the application. More...

Inheritance diagram for RJCP.IO.Ports.InternalApplicationException:

## Public Member Functions
| InternalApplicationException ()
| Initializes a new instance of the InternalApplicationException class. More...
| InternalApplicationException (string message)
| Initializes a new instance of the InternalApplicationException class. More...
| InternalApplicationException (string message, Exception innerException)
| Initializes a new instance of the InternalApplicationException class. More...

## Detailed Description

Indicates an unexpected internal error occurred in the application.

The InternalApplicationError indicates a programming error in the application. Such an error should never occur and always indicates a bug in the application itself.

## Constructor & Destructor Documentation

## ◆ InternalApplicationException() [1/3]

RJCP.IO.Ports.InternalApplicationException.InternalApplicationException | ( |  | ) |

Initializes a new instance of the InternalApplicationException class.

## ◆ InternalApplicationException() [2/3]

RJCP.IO.Ports.InternalApplicationException.InternalApplicationException | ( | string | message | ) |

Initializes a new instance of the InternalApplicationException class.

Parameters

  message | The message that describes the error.

## ◆ InternalApplicationException() [3/3]

RJCP.IO.Ports.InternalApplicationException.InternalApplicationException | ( | string | message,
|  | Exception | innerException
| ) |  |

Initializes a new instance of the InternalApplicationException class.

Parameters

  message | The error message that explains the reason for the exception.
  innerException | The exception that is the cause of the current exception, or a null reference (Nothing in Visual Basic) if no inner exception is specified.

The documentation for this class was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/Library/serialportstream/2.1.4/src/InternalApplicationException.cs